package com.takensoft.ai_lms.lms.file.service.impl;

import com.takensoft.ai_lms.lms.file.dao.FileDAO;
import com.takensoft.ai_lms.lms.file.service.FileService;
import lombok.RequiredArgsConstructor;
import org.egovframe.rte.fdl.cmmn.EgovAbstractServiceImpl;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service("FileService")
@RequiredArgsConstructor
public class FileServiceImpl extends EgovAbstractServiceImpl implements FileService {
    private final FileDAO fileDAO;

    // 파일 정보 조회
    // @Override
    public List<HashMap<String, Object>> findByFileId(HashMap<String, Object> params) throws Exception {
        return fileDAO.findByFileId(params);
    }
}
